// =====================================================================================================================
//  fennec-test, a program to execute unit tests for fennec
//  Copyright © 2025  Medusa Slockbower
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <https://www.gnu.org/licenses/>.
// =====================================================================================================================

#ifndef FENNEC_TEST_LANG_H
#define FENNEC_TEST_LANG_H

#include "lang/test_bits.h"
#include "lang/test_conditional_types.h"

namespace fennec
{

namespace test
{

inline void fennec_test_lang()
{
	fennec_test_subheader("bit tests");
	fennec_test_spacer(2);
	fennec_test_lang_bits();
	fennec_test_spacer(3);
}

}

}

#endif // FENNEC_TEST_LANG_H
